package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderContractRecallRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext>  【跨境电子签约文件id】跨境电子签约文件id 【作用】 查询需要撤回的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext>  【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需要撤回的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【撤回原因】撤回原因 【传参】 最大长度：500字符。
	Reason string `json:"reason,omitempty"`
}

func (obj CrossborderContractRecallRequest) GetUrl() string {
	return "/cross-border/contract/recall"
}

func (obj CrossborderContractRecallRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("reason", obj.Reason)
	return parameter
}
